{"openapi":"3.0.0","info":{"title":"","description":"","version":"0.0.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/odbc_fields":{"get":{"operationId":"getOdbcFieldCollection","tags":["OdbcField"],"responses":{"200":{"description":"OdbcField collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":"string","nullable":true},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"application\/x-yaml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}},"application\/vnd.myformat":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OdbcField"}}}}}},"summary":"Retrieves the collection of OdbcField resources.","description":"Retrieves the collection of OdbcField resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postOdbcFieldCollection","tags":["OdbcField"],"responses":{"201":{"description":"OdbcField resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}},"links":{"GetOdbcFieldItem":{"operationId":"getOdbcFieldItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/odbc_fields\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Creates a OdbcField resource.","description":"Creates a OdbcField resource.","parameters":[],"requestBody":{"description":"The new OdbcField resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/odbc_fields\/{id}":{"get":{"operationId":"getOdbcFieldItem","tags":["OdbcField"],"responses":{"200":{"description":"OdbcField resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a OdbcField resource.","description":"Retrieves a OdbcField resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putOdbcFieldItem","tags":["OdbcField"],"responses":{"200":{"description":"OdbcField resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}},"links":{"GetOdbcFieldItem":{"operationId":"getOdbcFieldItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/odbc_fields\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the OdbcField resource.","description":"Replaces the OdbcField resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated OdbcField resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteOdbcFieldItem","tags":["OdbcField"],"responses":{"204":{"description":"OdbcField resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the OdbcField resource.","description":"Removes the OdbcField resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"patchOdbcFieldItem","tags":["OdbcField"],"responses":{"200":{"description":"OdbcField resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}},"links":{"GetOdbcFieldItem":{"operationId":"getOdbcFieldItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/odbc_fields\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Updates the OdbcField resource.","description":"Updates the OdbcField resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated OdbcField resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/OdbcField"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/products":{"get":{"operationId":"getProductCollection","tags":["Product"],"responses":{"200":{"description":"Product collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product.jsonld-Product_read"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":"string","nullable":true},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product.jsonhal-Product_read"}},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"application\/x-yaml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}},"application\/vnd.myformat":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Product-Product_read"}}}}}},"summary":"Retrieves the collection of Product resources.","description":"Retrieves the collection of Product resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"colour","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"colour[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"category","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"category[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"manufacturer","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"manufacturer[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/products\/{id}":{"get":{"operationId":"getProductItem","tags":["Product"],"responses":{"200":{"description":"Product resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Product.jsonld-Product_read"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Product.jsonhal-Product_read"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"application\/x-yaml":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}},"application\/vnd.myformat":{"schema":{"$ref":"#\/components\/schemas\/Product-Product_read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Product resource.","description":"Retrieves a Product resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]}},"components":{"schemas":{"OdbcField":{"type":"object","description":"","properties":{"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"translation":{"type":"string"},"description":{"type":"string"},"datatype":{"type":"string"}}},"OdbcField.jsonhal":{"type":"object","description":"","properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"translation":{"type":"string"},"description":{"type":"string"},"datatype":{"type":"string"}}},"OdbcField.jsonld":{"type":"object","description":"","properties":{"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"translation":{"type":"string"},"description":{"type":"string"},"datatype":{"type":"string"}}},"Product-Product_read":{"type":"object","description":"","properties":{"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"image":{"type":"string"},"articlenumber":{"type":"string"},"numberofremaining":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"timeofdelivery":{"type":"string"}}},"Product.jsonhal-Product_read":{"type":"object","description":"","properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"image":{"type":"string"},"articlenumber":{"type":"string"},"numberofremaining":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"timeofdelivery":{"type":"string"}}},"Product.jsonld-Product_read":{"type":"object","description":"","properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"integer"},"name":{"type":"string"},"image":{"type":"string"},"articlenumber":{"type":"string"},"numberofremaining":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"timeofdelivery":{"type":"string"}}}},"responses":{},"parameters":{},"examples":{},"requestBodies":{},"headers":{},"securitySchemes":{}},"security":[],"tags":[]}